Debian Bug report logs - #710954
libnet-dri-perl: FTBFS with perl 5.18: POD (and others?)

version graph

Package: src:libnet-dri-perl; Maintainer for src:libnet-dri-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>;

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Mon, 3 Jun 2013 18:51:06 UTC

Severity: serious

Tags: jessie, sid

Merged with 730917

Found in version libnet-dri-perl/0.96-1

Forwarded to Patrick Mevzek <cpan@contact.dotandco.com>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#710954; Package src:libnet-dri-perl. (Mon, 03 Jun 2013 18:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 03 Jun 2013 18:51:10 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: libnet-dri-perl: FTBFS with perl 5.18: POD (and others?)
Date: Mon, 3 Jun 2013 19:48:01 +0100
Source: libnet-dri-perl
Version: 0.96-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.18-transition
Tags: sid jessie

This package FTBFS with perl 5.18 from experimental (in a clean sbuild
session):

Test Summary Report
-------------------
t/002pod.t                    (Wstat: 768 Tests: 333 Failed: 3)
  Failed tests:  81, 133, 144
  Non-zero exit status: 3
t/101exception.t              (Wstat: 256 Tests: 45 Failed: 1)
  Failed test:  6
  Non-zero exit status: 1
t/626nominet_epp.t            (Wstat: 1792 Tests: 304 Failed: 7)
  Failed tests:  256-260, 303-304
  Non-zero exit status: 7
t/628de_rri.t                 (Wstat: 1280 Tests: 77 Failed: 5)
  Failed tests:  30, 48, 51, 63, 66
  Non-zero exit status: 5
t/633norid_epp.t              (Wstat: 512 Tests: 287 Failed: 2)
  Failed tests:  6, 44
  Non-zero exit status: 2
Files=68, Tests=3339, 27 wallclock secs ( 0.58 usr  0.29 sys + 21.89 cusr  1.62 csys = 24.38 CPU)
Result: FAIL

The POD failures are the usual encoding ones; I haven't verified that
the others are 5.18-specific yet.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#710954; Package src:libnet-dri-perl. (Mon, 03 Jun 2013 21:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Patrick Mevzek <cpan@contact.dotandco.com>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Mon, 03 Jun 2013 21:12:04 GMT) Full text and rfc822 format available.

Message #10 received at 710954@bugs.debian.org (full text, mbox):

From: Patrick Mevzek <cpan@contact.dotandco.com>
To: 710954@bugs.debian.org
Subject: libnet-dri-perl test errors
Date: Mon, 3 Jun 2013 23:03:19 +0200
Hello,

Thanks for the bugreport. As the upstream developer, please note that
there are indeed some problems with newer Perls.
I believe to have fixed some of them in latest version, so first
please test with version 0.96_05
Some tests may still fail, but I'm working on them for next version.
I also plan to do a stable release for 0.97 but for now the best
version, even if some features are then unavailable compared to 0.96,
is really 0.96_05, as 0.96 is now very much too old.

Regards,

-- 



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>:
Bug#710954; Package src:libnet-dri-perl. (Tue, 04 Jun 2013 15:39:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>. (Tue, 04 Jun 2013 15:39:13 GMT) Full text and rfc822 format available.

Message #15 received at 710954@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: Patrick Mevzek <cpan@contact.dotandco.com>, 710954@bugs.debian.org
Subject: Re: Bug#710954: libnet-dri-perl test errors
Date: Tue, 4 Jun 2013 17:38:45 +0200
[Message part 1 (text/plain, inline)]
On Mon, 03 Jun 2013 23:03:19 +0200, Patrick Mevzek wrote:

> I believe to have fixed some of them in latest version, so first
> please test with version 0.96_05

Looks better, but there's still a test failure:

EXCEPTION 4@internal from line 132 of file /tmp/buildd/libnet-dri-perl-0.96+05/blib/lib/Net/DRI/Protocol/EPP/Core/RegistryMessage.pm:
Assert failed: EPP::parse_poll can not handle multiple types !
    Net::DRI::Protocol::EPP::Core::RegistryMessage::parse_poll('Net::DRI::Protocol::EPP::Extensions::Nominet=HASH(0x383fad8)', 'message', 'retrieve', 'session', 'HASH(0x3aff930)') called at /tmp/buildd/libnet-dri-perl-0.96+05/blib/lib/Net/DRI/Protocol.pm line 255
    Net::DRI::Protocol::reaction('Net::DRI::Protocol::EPP::Extensions::Nominet=HASH(0x383fad8)', 'message', 'retrieve', 'Net::DRI::Data::Raw=HASH(0x3b0a140)', 'Net::DRI::Protocol::EPP::Message=HASH(0x3b09e58)', 'session', 'ABC-12345') called at /tmp/buildd/libnet-dri-perl-0.96+05/blib/lib/Net/DRI/Registry.pm line 555
    Net::DRI::Registry::process_back('Net::DRI::Registry=HASH(0x2c46f18)', 'ABC-12345', 'Net::DRI::Protocol::EPP::Extensions::Nominet=HASH(0x383fad8)', 'Net::DRI::Transport::Dummy=HASH(0x3a80ea8)', 'message', 'retrieve', 1) called at /tmp/buildd/libnet-dri-perl-0.96+05/blib/lib/Net/DRI/Registry.pm line 499
    eval {...} called at /tmp/buildd/libnet-dri-perl-0.96+05/blib/lib/Net/DRI/Registry.pm line 492
    Net::DRI::Registry::process('Net::DRI::Registry=HASH(0x2c46f18)', 'message', 'retrieve', 'ARRAY(0x3b09ab0)') called at /tmp/buildd/libnet-dri-perl-0.96+05/blib/lib/Net/DRI/DRD.pm line 1194
    Net::DRI::DRD::message_retrieve('Net::DRI::DRD::Nominet=HASH(0x2de3498)', 'Net::DRI::Registry=HASH(0x2c46f18)') called at /tmp/buildd/libnet-dri-perl-0.96+05/blib/lib/Net/DRI/Registry.pm line 665
    Net::DRI::Registry::AUTOLOAD('Net::DRI::Registry=HASH(0x2c46f18)') called at /tmp/buildd/libnet-dri-perl-0.96+05/blib/lib/Net/DRI.pm line 330
    Net::DRI::AUTOLOAD('Net::DRI::TrapExceptions=HASH(0x2c31328)') called at /tmp/buildd/libnet-dri-perl-0.96+05/blib/lib/Net/DRI.pm line 376
    eval {...} called at /tmp/buildd/libnet-dri-perl-0.96+05/blib/lib/Net/DRI.pm line 376
    Net::DRI::TrapExceptions::AUTOLOAD('Net::DRI::TrapExceptions=HASH(0x2c31328)') called at t/626nominet_epp.t line 509
# Looks like you planned 304 tests but ran 260.
# Looks like your test exited with 255 just after 260.
t/626nominet_epp.t .............. 
Dubious, test returned 255 (wstat 65280, 0xff00)
Failed 44/304 subtests 


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: Rolling Stones
[signature.asc (application/pgp-signature, inline)]

Set Bug forwarded-to-address to 'Patrick Mevzek <cpan@contact.dotandco.com>'. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sun, 09 Jun 2013 14:06:08 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Tue, 13 Aug 2013 12:21:05 GMT) Full text and rfc822 format available.

Merged 710954 730917 Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Sat, 30 Nov 2013 21:00:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 07:34:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.